package com.ruoyi.web.work.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.domain.Pay;
import com.ruoyi.web.work.domain.dto.PayAuditDto;
import com.ruoyi.web.work.domain.dto.PayCashOutDto;

import java.rmi.ServerException;
import java.util.List;

/**
 * @author lsw
 * @date 2024-07-01
 */
public interface IPayService extends IService<Pay> {
    List<Pay> selectList(Pay pay);

    Pay selectByNums(String nums);

    /**
     * 余额提现申请
     *
     * @param dto
     * @return
     */
    AjaxResult cashOut(PayCashOutDto dto) throws ServerException;

    /**
     * 余额提现确认
     *
     * @param dto
     * @return
     */
    AjaxResult audit(PayAuditDto dto) throws ServerException;

    public void sendMessage(Pay pay);

}